#ifndef PGC_FUNCTION_H
#define PGC_FUNCTION_H

typedef void * (*fn_ptr) (void **);

struct pgc_function_definition {
  char *function_name;
  void *(*function_pointer) (void **);
  int return_type;
  int arg_count;
  int *arg_types;
};

extern struct pgc_function_definition **function_table;

struct pgc_function_definition *pgc_lookup_function (char *function_name);

void pgc_init_function_table ();

#endif
