#ifndef PGC_EVALUATE_H
#define PGC_EVALUATE_H

#include "pgc.h"
#include "pgc_parser.h"
#include "pgc_binding.h"

/* Explicit defs for flex/bison parsing routines... */
extern struct yy_buffer_state *yy_expr_scan_string (const char *str);
extern void yy_expr_delete_buffer (struct yy_buffer_state *dead_buffer);
extern int yyparse ();

extern struct pgc_parse_tree *pgc_root;
struct pgc_environment *evaluate (char *source, 
				  char *expression, 
				  struct pgc_environment *current_environment);
struct pgc_environment *typecheck (char *source, 
				   struct pgc_parse_tree *parse_tree, 
				   struct pgc_environment *current_environment);

#endif
